summaryrefslogtreecommitdiffstats
path: root/pulseaudio-jack
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-11-26 08:36:01 +0000
committer Eric Hameleers <alien@slackware.com>2020-11-26 08:36:01 +0000
commit8a3d284b66dba5d9453f19c171b25d462c432364 (patch)
treecd93a9cdbd8493ad08057b418431dcaeee466ada /pulseaudio-jack
parent9f76e7124081b62ef58649dfa875874545bb9d17 (diff)
downloadasb-8a3d284b66dba5d9453f19c171b25d462c432364.tar.gz
asb-8a3d284b66dba5d9453f19c171b25d462c432364.tar.xz
pulseaudio-jack: updated to 14.0
Diffstat (limited to 'pulseaudio-jack')
-rwxr-xr-xpulseaudio-jack/build/pulseaudio-jack.SlackBuild70
1 files changed, 34 insertions, 36 deletions
diff --git a/pulseaudio-jack/build/pulseaudio-jack.SlackBuild b/pulseaudio-jack/build/pulseaudio-jack.SlackBuild
index d98ae5b9..c9dae73b 100755
--- a/pulseaudio-jack/build/pulseaudio-jack.SlackBuild
+++ b/pulseaudio-jack/build/pulseaudio-jack.SlackBuild
@@ -29,7 +29,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pulseaudio-jack
SRCNAM=pulseaudio
-VERSION=${VERSION:-13.0}
+VERSION=${VERSION:-14.0}
BUILD=${BUILD:-1alien}
# Automatically determine the architecture we're building on:
@@ -106,40 +106,42 @@ echo "X-MATE-Autostart-Phase=Initialization" >> src/daemon/pulseaudio.desktop.in
# If autospawn isn't working, start-pulseaudio-x11 should start it manually:
cat $CWD/patches/pulseaudio-autostart.patch | patch -p1 --verbose || exit 1
-# Disable "flat volumes" to work more like ALSA's mixer. POLA.
-# Have a google for "flat volumes" for more rationale on us not
-# using the upstream default here.
-sed -i 's/; flat-volumes = yes/flat-volumes = no/g' ./src/daemon/daemon.conf.in
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./bootstrap.sh \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --disable-tcpwrap \
- --enable-orc \
- --disable-static \
- --disable-hal-compat \
- --disable-bluez4 \
- --with-system-user=pulse \
- --with-system-group=pulse \
- --with-access-group=audio \
- --with-bash-completion-dir=/usr/share/bash-completion/completions \
- --build=$TARGET || exit 1
-
-make $NUMJOBS check || make check || exit 1
-make $NUMJOBS || make || exit 1
-# We manually install only the JACK support libraries:
-#make install-strip DESTDIR=$PKG || exit 1
-install -d $PKG/usr/lib${LIBDIRSUFFIX}/pulse-${VERSION}/modules
-install -m0755 src/.libs/module-jack*.so \
- $PKG/usr/lib${LIBDIRSUFFIX}/pulse-${VERSION}/modules/
-
-# Remove .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/lib*.la
+ --buildtype=release \
+ -Dorc=enabled \
+ -Dhal-compat=false \
+ -Dsystem_user="pulse" \
+ -Dsystem_group="pulse" \
+ -Daccess_group="audio" \
+ -Dbashcompletiondir="/usr/share/bash-completion/completions" \
+ .. || exit 1
+
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ #DESTDIR=$PKG $NINJA install || exit 1
+ # We manually install only the JACK support libraries:
+ install -d $PKG/usr/lib${LIBDIRSUFFIX}/pulse-${VERSION}/modules
+ install -m0755 src/modules/module-jack*.so \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pulse-${VERSION}/modules/
+cd ..
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Install documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
@@ -147,10 +149,6 @@ cp -a \
COPYING* *GPL LICENSE README* \
$PKG/usr/doc/$PKGNAM-$VERSION
-# Strip binaries (if any):
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# Add a package description:
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc